| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Generic1D< INTERFACE, IMPLEMENTATION > Class Template Reference

`#include <GaudiPI/Generic1D.h>`

Inheritance diagram for Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >:

[legend]
Collaboration diagram for Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >:

[legend]
List of all members.

## Detailed Description

### template<class INTERFACE, class IMPLEMENTATION>
class Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >

Common AIDA implementation stuff for histograms and profiles using ROOT implementations.

Credits: This code is the result of some stripdown implementation of LCG/PI. Credits to them!

Author:
  M.Frank

Definition at line 27 of file Generic1D.h.

## Public Types
typedef Generic1D< INTERFACE, IMPLEMENTATION > | Base
## Public Member Functions
| Generic1D ()
| Default constructor.
virtual | ~Generic1D ()
| Default destructor.
virtual const std::string & | userLevelClassType () const
| The AIDA user-level unterface leaf class type.
virtual void * | cast (const std::string &cl) const
| Manual cast by class name.
TObject * | representation () const
| ROOT object implementation.
virtual void | adoptRepresentation (TObject *rep)
| Adopt ROOT histogram representation.
virtual std::string | title () const
| Get the title of the object.
virtual bool | setTitle (const std::string &title)
| Set the title of the object.
std::string | name () const
| object name
bool | setName (const std::string &newName)
| Set the name of the object.
virtual AIDA::IAnnotation & | annotation ()
| Access annotation object.
virtual const AIDA::IAnnotation & | annotation () const
| Access annotation object (cons).
Axis & | axis ()
| Access to axis object.
const Axis & | axis () const
| Get the x axis of the IHistogram1D.
virtual int | entries () const
| Get the number or all the entries.
virtual int | allEntries () const
| Get the number or all the entries, both in range and underflow/overflow bins of the IProfile.
virtual int | extraEntries () const
| Get the number of entries in the underflow and overflow bins.
virtual int | binEntries (int index) const
| Number of entries in the corresponding bin (ie the number of times fill was called for this bin).
virtual double | binRms (int index) const
virtual double | sumBinHeights () const
| Get the sum of in range bin heights in the IProfile.
virtual double | sumAllBinHeights () const
| Get the sum of all the bins heights (including underflow and overflow bin).
virtual double | sumExtraBinHeights () const
| Get the sum of the underflow and overflow bin height.
virtual double | minBinHeight () const
| Get the minimum height of the in-range bins.
virtual double | maxBinHeight () const
| Get the maximum height of the in-range bins.
virtual double | equivalentBinEntries () const
| Number of equivalent entries, i.e. `SUM[ weight ] ^ 2 / SUM[ weight^2 ]`.
virtual bool | scale (double scaleFactor)
| Scale the weights and the errors of all the IHistogram's bins (in-range and out-of-range ones) by a given scale factor.
virtual bool | reset ()
| Reset the Histogram; as if just created.
virtual bool | add (const INTERFACE &profile)
| Modifies this IProfile1D by adding the contents of profile to it.
virtual int | rIndex (int index) const
| operator methods
virtual double | binMean (int index) const
| The weighted mean of a bin.
virtual double | binHeight (int index) const
| Total height of the corresponding bin (ie the sum of the weights in this bin).
virtual double | binError (int index) const
| The error of a given bin.
virtual double | mean () const
| The mean of the whole IHistogram1D.
virtual double | rms () const
| The RMS of the whole IHistogram1D.
virtual int | coordToIndex (double coord) const
| Get the bin number corresponding to a given coordinate along the x axis.
virtual int | dimension () const
| Get the Histogram's dimension.
virtual std::ostream & | print (std::ostream &s) const
| Print (ASCII) the histogram into the output stream.
virtual std::ostream & | write (std::ostream &s) const
| Write (ASCII) the histogram table into the output stream.
virtual int | write (const char *file_name) const
| Write (ASCII) the histogram table into a file.
## Protected Attributes
Axis | m_axis
| Axis member.
AIDA::Annotation | m_annotation
| Object annotations.
IMPLEMENTATION * | m_rep
| Reference to underlying implementation.
std::string | m_classType
int | m_sumEntries

## Member Typedef Documentation

template<class INTERFACE, class IMPLEMENTATION>

typedef Generic1D<INTERFACE,IMPLEMENTATION> Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::Base

Definition at line 29 of file Generic1D.h.

## Constructor & Destructor Documentation

template<class INTERFACE, class IMPLEMENTATION>

Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::Generic1D | ( |  | ) | `[inline]`

Default constructor.

Definition at line 31 of file Generic1D.h.

    00031 : m_rep(0) {}

template<class INTERFACE, class IMPLEMENTATION>

virtual Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::~Generic1D | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 33 of file Generic1D.h.

    00033 { delete m_rep;                       }

## Member Function Documentation

template<class INTERFACE, class IMPLEMENTATION>

virtual const std::string& Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::userLevelClassType | ( |  | ) | const`[inline, virtual]`

The AIDA user-level unterface leaf class type.

Definition at line 35 of file Generic1D.h.

    00035 { return m_classType;                 }

template<class INTERFACE, class IMPLEMENTATION>

virtual void* Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::cast | ( | const std::string & | cl | ) | const`[virtual]`

Manual cast by class name.

template<class INTERFACE, class IMPLEMENTATION>

TObject* Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::representation | ( |  | ) | const`[inline, virtual]`

ROOT object implementation.

Implements Gaudi::HistogramBase.

Definition at line 39 of file Generic1D.h.

    00039 { return m_rep;                       }

template<class INTERFACE, class IMPLEMENTATION>

virtual void Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::adoptRepresentation | ( | TObject * | rep | ) | `[virtual]`

Adopt ROOT histogram representation.

Implements Gaudi::HistogramBase.

Reimplemented in Gaudi::Histogram1D.

template<class INTERFACE, class IMPLEMENTATION>

virtual std::string Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::title | ( |  | ) | const`[inline, virtual]`

Get the title of the object.

Definition at line 43 of file Generic1D.h.

    00043 { return m_annotation.value("Title"); }

template<class INTERFACE, class IMPLEMENTATION>

bool Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::setTitle | ( | const std::string & | title | ) | `[virtual]`

Set the title of the object.

Definition at line 125 of file Generic1D.h.

References Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::annotation(), std::basic_string< _CharT, _Traits, _Alloc >::c_str(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_annotation, Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_rep, and AIDA::Annotation::setValue().

    00125                                                                              {
    00126     m_rep->SetTitle(title.c_str());
    00127     if ( !annotation().addItem( "Title", title ) )
    00128       m_annotation.setValue( "Title" , title );
    00129     if ( !annotation().addItem( "title", title ) )
    00130       annotation().setValue( "title", title );
    00131     return true;
    00132   }

template<class INTERFACE, class IMPLEMENTATION>

std::string Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::name | ( |  | ) | const`[inline]`

object name

Definition at line 47 of file Generic1D.h.

    00047 { return m_annotation.value("Name");  }

template<class INTERFACE, class IMPLEMENTATION>

bool Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::setName | ( | const std::string & | newName | ) |

Set the name of the object.

Definition at line 135 of file Generic1D.h.

References std::basic_string< _CharT, _Traits, _Alloc >::c_str(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_annotation, Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_rep, and AIDA::Annotation::setValue().

    00135                                                                               {
    00136     m_rep->SetName(newName.c_str());
    00137     m_annotation.setValue( "Name", newName );
    00138     return true;
    00139   }

template<class INTERFACE, class IMPLEMENTATION>

virtual AIDA::IAnnotation& Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::annotation | ( |  | ) | `[inline, virtual]`

Access annotation object.

Definition at line 51 of file Generic1D.h.

Referenced by Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::setTitle().

    00051 { return m_annotation;                }

template<class INTERFACE, class IMPLEMENTATION>

virtual const AIDA::IAnnotation& Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::annotation | ( |  | ) | const`[inline, virtual]`

Access annotation object (cons).

Definition at line 53 of file Generic1D.h.

    00053 { return m_annotation;                }

template<class INTERFACE, class IMPLEMENTATION>

Axis& Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::axis | ( |  | ) | `[inline]`

Access to axis object.

Definition at line 55 of file Generic1D.h.

Referenced by Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::write().

    00055 { return m_axis;                      }

template<class INTERFACE, class IMPLEMENTATION>

const Axis& Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::axis | ( |  | ) | const`[inline]`

Get the x axis of the IHistogram1D.

Definition at line 57 of file Generic1D.h.

    00057 { return m_axis;                      }

template<class INTERFACE, class IMPLEMENTATION>

virtual int Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::entries | ( |  | ) | const`[inline, virtual]`

Get the number or all the entries.

Definition at line 60 of file Generic1D.h.

    00060 { return (int)m_rep->GetEntries();           }

template<class INTERFACE, class IMPLEMENTATION>

virtual int Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::allEntries | ( |  | ) | const`[inline, virtual]`

Get the number or all the entries, both in range and underflow/overflow bins of the IProfile.

Definition at line 62 of file Generic1D.h.

    00062 { return int(m_rep->GetEntries());           }

template<class INTERFACE, class IMPLEMENTATION>

int Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::extraEntries | ( |  | ) | const`[virtual]`

Get the number of entries in the underflow and overflow bins.

Definition at line 162 of file Generic1D.h.

References Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binEntries().

    00162                                                               {
    00163     return binEntries(AIDA::IAxis::UNDERFLOW_BIN) +
    00164           binEntries(AIDA::IAxis::OVERFLOW_BIN);
    00165   }

template<class INTERFACE, class IMPLEMENTATION>

virtual int Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binEntries | ( | int | index | ) | const`[virtual]`

Number of entries in the corresponding bin (ie the number of times fill was called for this bin).

Referenced by Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::extraEntries().

template<class INTERFACE, class IMPLEMENTATION>

double Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binRms | ( | int | index | ) | const`[virtual]`

Definition at line 142 of file Generic1D.h.

References Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_rep, and Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::rIndex().

    00142                                                                     {
    00143     return m_rep->GetBinError ( rIndex(index) );
    00144   }

template<class INTERFACE, class IMPLEMENTATION>

virtual double Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::sumBinHeights | ( |  | ) | const`[inline, virtual]`

Get the sum of in range bin heights in the IProfile.

Definition at line 70 of file Generic1D.h.

Referenced by Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::equivalentBinEntries().

    00070 { return m_rep->GetSumOfWeights();            }

template<class INTERFACE, class IMPLEMENTATION>

virtual double Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::sumAllBinHeights | ( |  | ) | const`[inline, virtual]`

Get the sum of all the bins heights (including underflow and overflow bin).

Definition at line 72 of file Generic1D.h.

    00072 { return m_rep->GetSum();                     }

template<class INTERFACE, class IMPLEMENTATION>

virtual double Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::sumExtraBinHeights | ( |  | ) | const`[inline, virtual]`

Get the sum of the underflow and overflow bin height.

Definition at line 74 of file Generic1D.h.

    00074 { return  sumAllBinHeights()-sumBinHeights(); }

template<class INTERFACE, class IMPLEMENTATION>

virtual double Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::minBinHeight | ( |  | ) | const`[inline, virtual]`

Get the minimum height of the in-range bins.

Definition at line 76 of file Generic1D.h.

    00076 { return m_rep->GetMinimum();                 }

template<class INTERFACE, class IMPLEMENTATION>

virtual double Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::maxBinHeight | ( |  | ) | const`[inline, virtual]`

Get the maximum height of the in-range bins.

Definition at line 78 of file Generic1D.h.

    00078 { return m_rep->GetMaximum();                 }

template<class INTERFACE, class IMPLEMENTATION>

double Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::equivalentBinEntries | ( |  | ) | const`[virtual]`

Number of equivalent entries, i.e. `SUM[ weight ] ^ 2 / SUM[ weight^2 ]`.

Definition at line 174 of file Generic1D.h.

References Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_rep, and Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::sumBinHeights().

    00174                                                                           {
    00175     if (sumBinHeights() <= 0) return 0;
    00176     Stat_t stats[11];   // cover up to 3D...
    00177     m_rep->GetStats(stats);
    00178     return stats[0]*stats[0]/stats[1];
    00179   }

template<class INTERFACE, class IMPLEMENTATION>

bool Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::scale | ( | double | scaleFactor | ) | `[virtual]`

Scale the weights and the errors of all the IHistogram's bins (in-range and out-of-range ones) by a given scale factor.

Definition at line 182 of file Generic1D.h.

References Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_rep.

    00182                                                                       {
    00183     m_rep->Scale ( scaleFactor );
    00184     return true;
    00185   }

template<class INTERFACE, class IMPLEMENTATION>

bool Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::reset | ( |  | ) | `[virtual]`

Reset the Histogram; as if just created.

Reimplemented in Gaudi::Histogram1D.

Definition at line 167 of file Generic1D.h.

References Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_rep, and Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_sumEntries.

    00167                                                     {
    00168     m_sumEntries = 0;
    00169     m_rep->Reset();
    00170     return true;
    00171   }

template<class INTERFACE, class IMPLEMENTATION>

bool Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::add | ( | const INTERFACE & | profile | ) | `[virtual]`

Modifies this IProfile1D by adding the contents of profile to it.

Definition at line 188 of file Generic1D.h.

References Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_rep.

    00188                                                                     {
    00189     const Generic1D<INTERFACE,IMPLEMENTATION>* p =
    00190       dynamic_cast<const Generic1D<INTERFACE,IMPLEMENTATION>*>(&h);
    00191     if ( p )  {
    00192       m_rep->Add(p->m_rep);
    00193       return true;
    00194     }
    00195     throw std::runtime_error("Cannot add profile histograms of different implementations.");
    00196   }

template<class INTERFACE, class IMPLEMENTATION>

virtual int Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::rIndex | ( | int | index | ) | const`[inline, virtual]`

operator methods

Definition at line 89 of file Generic1D.h.

Referenced by Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binError(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binHeight(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binMean(), and Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binRms().

    00089 { return m_axis.rIndex(index);}

template<class INTERFACE, class IMPLEMENTATION>

double Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binMean | ( | int | index | ) | const`[virtual]`

The weighted mean of a bin.

Definition at line 147 of file Generic1D.h.

References Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_rep, and Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::rIndex().

Referenced by Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::write().

    00147                                                                          {
    00148     return m_rep->GetBinCenter ( rIndex(index) );
    00149   }

template<class INTERFACE, class IMPLEMENTATION>

double Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binHeight | ( | int | index | ) | const`[virtual]`

Total height of the corresponding bin (ie the sum of the weights in this bin).

Definition at line 152 of file Generic1D.h.

References Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_rep, and Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::rIndex().

Referenced by Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::write().

    00152                                                                            {
    00153     return m_rep->GetBinContent ( rIndex(index) );
    00154   }

template<class INTERFACE, class IMPLEMENTATION>

double Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binError | ( | int | index | ) | const`[virtual]`

The error of a given bin.

Definition at line 157 of file Generic1D.h.

References Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_rep, and Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::rIndex().

Referenced by Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::write().

    00157                                                                           {
    00158     return m_rep->GetBinError ( rIndex(index) );
    00159   }

template<class INTERFACE, class IMPLEMENTATION>

virtual double Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::mean | ( |  | ) | const`[inline, virtual]`

The mean of the whole IHistogram1D.

Definition at line 97 of file Generic1D.h.

    00097 { return m_rep->GetMean();                    }

template<class INTERFACE, class IMPLEMENTATION>

virtual double Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::rms | ( |  | ) | const`[inline, virtual]`

The RMS of the whole IHistogram1D.

Definition at line 99 of file Generic1D.h.

    00099 {  return m_rep->GetRMS();                    }

template<class INTERFACE, class IMPLEMENTATION>

virtual int Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::coordToIndex | ( | double | coord | ) | const`[inline, virtual]`

Get the bin number corresponding to a given coordinate along the x axis.

Definition at line 101 of file Generic1D.h.

    00101 { return axis().coordToIndex(coord);}

template<class INTERFACE, class IMPLEMENTATION>

virtual int Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::dimension | ( |  | ) | const`[inline, virtual]`

Get the Histogram's dimension.

Definition at line 103 of file Generic1D.h.

    00103 { return 1; }

template<class INTERFACE, class IMPLEMENTATION>

std::ostream & Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::print | ( | std::ostream & | s | ) | const`[virtual]`

Print (ASCII) the histogram into the output stream.

bin contents and errors are printed for all bins including under and overflows

Implements Gaudi::HistogramBase.

Definition at line 199 of file Generic1D.h.

References Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_rep, and Gaudi::Units::s.

    00199                                                                                  {
    00201     m_rep->Print("all");
    00202     return s;
    00203   }

template<class INTERFACE, class IMPLEMENTATION>

std::ostream & Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::write | ( | std::ostream & | s | ) | const`[virtual]`

Write (ASCII) the histogram table into the output stream.

Implements Gaudi::HistogramBase.

Definition at line 207 of file Generic1D.h.

References Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::axis(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binError(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binHeight(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binMean(), Gaudi::Axis::bins(), std::endl(), and Gaudi::Units::s.

    00207                                                                                {
    00208     s << "\n1D Histogram Table: " << std::endl;
    00209     s << "Bin, Height, Error "  << std::endl;
    00210     for( int i = 0; i < axis().bins(); ++i )
    00211       s << binMean( i ) << ", "
    00212         << binHeight( i ) << ", "
    00213         << binError ( i ) << std::endl;
    00214     s << std::endl;
    00215     return s;
    00216   }

template<class INTERFACE, class IMPLEMENTATION>

int Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::write | ( | const char * | file_name | ) | const`[virtual]`

Write (ASCII) the histogram table into a file.

Implements Gaudi::HistogramBase.

Definition at line 220 of file Generic1D.h.

References Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_rep.

    00221   {
    00222     TFile *f = TFile::Open(file_name,"RECREATE");
    00223     Int_t nbytes = m_rep->Write();
    00224     f->Close();
    00225     return nbytes;
    00226   }

## Member Data Documentation

template<class INTERFACE, class IMPLEMENTATION>

Axis Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_axis`[protected]`

Axis member.

Definition at line 113 of file Generic1D.h.

template<class INTERFACE, class IMPLEMENTATION>

AIDA::Annotation Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_annotation`[mutable, protected]`

Object annotations.

Definition at line 115 of file Generic1D.h.

Referenced by Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::setName(), and Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::setTitle().

template<class INTERFACE, class IMPLEMENTATION>

IMPLEMENTATION* Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_rep`[protected]`

Reference to underlying implementation.

Definition at line 117 of file Generic1D.h.

Referenced by Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::add(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binError(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binHeight(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binMean(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::binRms(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::equivalentBinEntries(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::print(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::reset(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::scale(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::setName(), Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::setTitle(), and Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::write().

template<class INTERFACE, class IMPLEMENTATION>

std::string Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_classType`[protected]`

Definition at line 119 of file Generic1D.h.

template<class INTERFACE, class IMPLEMENTATION>

int Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::m_sumEntries`[protected]`

Definition at line 121 of file Generic1D.h.

Referenced by Gaudi::Generic1D< INTERFACE, IMPLEMENTATION >::reset().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/HistogramSvc/Generic1D.h